Evaluations
List run items
GET
/
v1
/
evals
/
{eval_id}
/
runs
/
{run_id}
/
items
List run items
curl --request GET \
--url https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"run_id": "<string>",
"item_index": 123,
"input": "<string>",
"output": "<string>",
"scores": {},
"epoch": 123,
"attempt_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"latency_ms": 123,
"sample_id": "<string>",
"request": "<unknown>",
"response": "<unknown>",
"prompt_tokens": 123,
"completion_tokens": 123,
"finish_reason": "<string>",
"replica_id": "<string>",
"endpoint_url": "<string>",
"error_category": "<string>",
"error_message": "<string>",
"scorer_explanation": "<unknown>",
"sandbox_evidence": "<unknown>",
"trace_id": "<string>",
"span_id": "<string>",
"metadata": "<unknown>"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
⌘I
List run items
curl --request GET \
--url https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evals/{eval_id}/runs/{run_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"run_id": "<string>",
"item_index": 123,
"input": "<string>",
"output": "<string>",
"scores": {},
"epoch": 123,
"attempt_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"latency_ms": 123,
"sample_id": "<string>",
"request": "<unknown>",
"response": "<unknown>",
"prompt_tokens": 123,
"completion_tokens": 123,
"finish_reason": "<string>",
"replica_id": "<string>",
"endpoint_url": "<string>",
"error_category": "<string>",
"error_message": "<string>",
"scorer_explanation": "<unknown>",
"sandbox_evidence": "<unknown>",
"trace_id": "<string>",
"span_id": "<string>",
"metadata": "<unknown>"
}
],
"has_more": true
}
